800917b5a2
- Update to Xen 4.1.2_rc2 c/s 23152 - bnc#716695 - domUs using tap devices will not start updated multi-xvdp.patch - Upstream patches from Jan 23803-intel-pmu-models.patch 23800-x86_64-guest-addr-range.patch 23795-intel-ich10-quirk.patch 23804-x86-IPI-counts.patch - bnc#706106 - Inconsistent reporting of VM names during migration xend-migration-domname-fix.patch - bnc#712823 - L3:Xen guest does not start reliable when rebooted xend-vcpu-affinity-fix.patch OBS-URL: https://build.opensuse.org/package/show/Virtualization/xen?expand=0&rev=143
56 lines
1.7 KiB
Diff
56 lines
1.7 KiB
Diff
# HG changeset patch
|
|
# Parent ea18090ab6e3cb3c69d232ec0865589688db3f81
|
|
hotplug: update xencommons script to run only when needed
|
|
|
|
Update the xencommons script to run only when needed:
|
|
- do not run if /proc/xen does not exist
|
|
- check if /proc/xen/capabilities exists before doing the grep for dom0
|
|
- use variable for /proc/xen/capabilities
|
|
- use grep -q instead of stdout redirection when looking for xenfs,
|
|
its already used later
|
|
|
|
Signed-off-by: Olaf Hering <olaf@aepfle.de>
|
|
|
|
---
|
|
tools/hotplug/Linux/init.d/xencommons | 20 ++++++++++++++++----
|
|
1 file changed, 16 insertions(+), 4 deletions(-)
|
|
|
|
Index: xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
|
===================================================================
|
|
--- xen-4.1.2-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
|
+++ xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
|
@@ -27,17 +27,29 @@ fi
|
|
test -f $xencommons_config/xencommons && . $xencommons_config/xencommons
|
|
|
|
XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
|
|
+XEN_CAPABILITIES=/proc/xen/capabilities
|
|
shopt -s extglob
|
|
|
|
+# not running in Xen dom0 or domU
|
|
+if ! test -d /proc/xen ; then
|
|
+ exit 0
|
|
+fi
|
|
+
|
|
+# mount xenfs in dom0 or domU with a pv_ops kernel
|
|
if test "x$1" = xstart && \
|
|
- test -d /proc/xen && \
|
|
- ! test -f /proc/xen/capabilities && \
|
|
- ! grep '^xenfs ' /proc/mounts >/dev/null;
|
|
+ ! test -f $XEN_CAPABILITIES && \
|
|
+ ! grep -q '^xenfs ' /proc/mounts ;
|
|
then
|
|
mount -t xenfs xenfs /proc/xen
|
|
fi
|
|
|
|
-if ! grep -q "control_d" /proc/xen/capabilities ; then
|
|
+# run this script only in dom0:
|
|
+# no capabilities file in xenlinux kernel
|
|
+if ! test -f $XEN_CAPABILITIES ; then
|
|
+ exit 0
|
|
+fi
|
|
+# empty capabilities file in pv_ops kernel
|
|
+if ! grep -q "control_d" $XEN_CAPABILITIES ; then
|
|
exit 0
|
|
fi
|
|
|